## Stationery Guix Channel

Stationery Guix is a channel for [GNU Guix](https://guix.gnu.org). 

This is not a official guix channel, nor should this channel be portrayed as one. Please do not go and announce this channel in any official guix communications or media channels. Those are for official guix related software only. This channel contains [non free software](https://www.gnu.org/philosophy/categories.html) and GNU has a [strict policy](https://www.gnu.org/distros/free-system-distribution-guidelines.html) against it.

## Warning

Before using this channel, understand that this only contains build files and not any source code at all. All code is base32 hashed and gpg verified and in theory should be tamper proof. This does NOT gurentee that the software itself is free and safe to use. All code has been vetted to the best to our abilities, but we do not hold any responsibility nor give any warrenty for any harm or issue.

## Installation

Stationery Guix can be installed as a [Guix channel](https://www.gnu.org/software/guix/manual/en/html_node/Channels.html). To do so, add it to `~/.config/guix/channels.scm`:
```scheme
(channel
        (name 'stationery)
        (url "https://git.stationery.faith/stationery-society/stationery-guix")
        (branch "main")
        ;(commit
        ;  "e2fe15a45c3c0afde3467a2e3d6f0292ad6ee636")
        (introduction
          (make-channel-introduction
            "e2fe15a45c3c0afde3467a2e3d6f0292ad6ee636"
            (openpgp-fingerprint
              "4F6B C11C EBB2 F242 14B9  0FAC 9FF6 937B 829E 565A"))))
````
Then run `guix pull`.

The commit feild is optional if you wish to pin a speific commit.

All modules are under the `stationery packages` or `stationery services` namespaces.

## Deliverables

This channel currently provides the current services and packages

### Packages

- `easyeffects`
- `lavanda-gtk-theme`
- `firefox-wayland` - modified version from the nonguix channel with screencasting support
- `zsh-autosuggestions`
- `neovim` - modified version from the guix channel compiled with gcc12 for newer plugin support
- `vim-plug`
- `virt-manager` - modified version from the guix channel with edk2 UEFI firmware
- `libvirt` - modified version from the guix channel with edk2 UEFI firmware
- `swaylock-effects1 - modified version from the guix channel without pam

### Services

- `home-pipewire-service-type`
